package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussMerchantIncome implements Serializable {
    private Integer id;

    private Integer userid;

    private String merchantcode;

    private String merchantname;

    private String storeid;

    private String storename;

    private Integer dealtype;

    private Double dealfee;

    private Double incomefee;

    private Date createtime;

    private String paytypecode;

    private String paytypename;

    private String membercode;

    private String membername;

    private String memberpic;

    private String incometype;

    private Double plateformprofit;

    private Double promoterprofit;

    private Integer dealstatus;

    private String dealcode;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getStoreid() {
        return storeid;
    }

    public void setStoreid(String storeid) {
        this.storeid = storeid == null ? null : storeid.trim();
    }

    public String getStorename() {
        return storename;
    }

    public void setStorename(String storename) {
        this.storename = storename == null ? null : storename.trim();
    }

    public Integer getDealtype() {
        return dealtype;
    }

    public void setDealtype(Integer dealtype) {
        this.dealtype = dealtype;
    }

    public Double getDealfee() {
        return dealfee;
    }

    public void setDealfee(Double dealfee) {
        this.dealfee = dealfee;
    }

    public Double getIncomefee() {
        return incomefee;
    }

    public void setIncomefee(Double incomefee) {
        this.incomefee = incomefee;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getPaytypecode() {
        return paytypecode;
    }

    public void setPaytypecode(String paytypecode) {
        this.paytypecode = paytypecode == null ? null : paytypecode.trim();
    }

    public String getPaytypename() {
        return paytypename;
    }

    public void setPaytypename(String paytypename) {
        this.paytypename = paytypename == null ? null : paytypename.trim();
    }

    public String getMembercode() {
        return membercode;
    }

    public void setMembercode(String membercode) {
        this.membercode = membercode == null ? null : membercode.trim();
    }

    public String getMembername() {
        return membername;
    }

    public void setMembername(String membername) {
        this.membername = membername == null ? null : membername.trim();
    }

    public String getMemberpic() {
        return memberpic;
    }

    public void setMemberpic(String memberpic) {
        this.memberpic = memberpic == null ? null : memberpic.trim();
    }

    public String getIncometype() {
        return incometype;
    }

    public void setIncometype(String incometype) {
        this.incometype = incometype == null ? null : incometype.trim();
    }

    public Double getPlateformprofit() {
        return plateformprofit;
    }

    public void setPlateformprofit(Double plateformprofit) {
        this.plateformprofit = plateformprofit;
    }

    public Double getPromoterprofit() {
        return promoterprofit;
    }

    public void setPromoterprofit(Double promoterprofit) {
        this.promoterprofit = promoterprofit;
    }

    public Integer getDealstatus() {
        return dealstatus;
    }

    public void setDealstatus(Integer dealstatus) {
        this.dealstatus = dealstatus;
    }

    public String getDealcode() {
        return dealcode;
    }

    public void setDealcode(String dealcode) {
        this.dealcode = dealcode == null ? null : dealcode.trim();
    }
}